// ForGet. A tool for managing development dependencies.
// Copyright (C) 2015  Daniel Hughes
//
// Permission is hereby granted, free of charge, to any person obtaining a copy
// of this software and associated documentation files (the "Software"), to deal
// in the Software without restriction, including without limitation the rights
// to use, copy, modify, merge, publish, distribute, sublicense, and/or sell
// copies of the Software, and to permit persons to whom the Software is
// furnished to do so, subject to the following conditions:
//
// The above copyright notice and this permission notice shall be included in
// all copies or substantial portions of the Software.
//
// THE SOFTWARE IS PROVIDED "AS IS", WITHOUT WARRANTY OF ANY KIND, EXPRESS OR
// IMPLIED, INCLUDING BUT NOT LIMITED TO THE WARRANTIES OF MERCHANTABILITY,
// FITNESS FOR A PARTICULAR PURPOSE AND NONINFRINGEMENT. IN NO EVENT SHALL THE
// AUTHORS OR COPYRIGHT HOLDERS BE LIABLE FOR ANY CLAIM, DAMAGES OR OTHER
// LIABILITY, WHETHER IN AN ACTION OF CONTRACT, TORT OR OTHERWISE, ARISING FROM,
// OUT OF OR IN CONNECTION WITH THE SOFTWARE OR THE USE OR OTHER DEALINGS IN
// THE SOFTWARE.
using System;
using System.Xml.Linq;
using System.IO;
using System.Text;

namespace ForGet
{
   public class Creator
   {
      public bool Create(string configFile)
      {
         if(File.Exists(configFile))
         {
            Console.Error.WriteLine("Error: Config file already exists {0}", configFile);
            return false;
         }
         var builder = new StringBuilder ();
         builder.AppendLine(@"<Repo>");
         builder.AppendLine(@"    <Source Linux=""ReplaceWithLinuxRepoPath"" Windows=""ReplaceWithWindowsRepoPath"" />");
         builder.AppendLine(@"    <Dependency Id=""dep1"" Version=""1.0.0"" UpgradeType=""Fixed"" />");
         builder.AppendLine(@"    <Dependency Id=""dep2"" Version=""1.0.3"" UpgradeType=""Latest"" />");
         builder.AppendLine(@"</Repo>");
         File.WriteAllText(configFile, builder.ToString());
         return true;
      }
   }
}

